Package org.eclipse.emf.cdo.workspace

# Interface CDOWorkspace.ObjectStatesChangedEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `CDOWorkspace`

public static interface CDOWorkspace.ObjectStatesChangedEvent extends org.eclipse.net4j.util.event.IEvent
An `event` fired when the state of objects in the `workspace` change between new, dirty and clean.

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Set<CDOID>`
`getChangedIDs()`
`CDOWorkspace`
`getSource()`

## Method Details

### getSource

CDOWorkspace getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getChangedIDs

Set<CDOID> getChangedIDs()